program createo
	use sep

	integer, external	:: srite
	integer, allocatable :: recs(:,:)
	integer :: i, ix, iz, nx, nz, fx, fz, jx, jz, x, z
	
	call sep_init(SOURCE)
	
	call from_param ("rec_nx", nx, 1)
	call from_param ("rec_fx", fx, 0)
	call from_param ("rec_jx", jx, 1)
	call from_param ("rec_nz", nz, 1)
	call from_param ("rec_fz", fz, 0)
	call from_param ("rec_jz", jz, 1)
	
	allocate (recs (2, nz*nx))

	call to_history ("n1", 2)
	call to_history ("n2", nx*nz)
	
	write(0,*), "recs:", nx, nz

	i = 0

	do iz = 1, nz

		z = fz + jz*(iz-1)
		do ix = 1, nx

			x = fx + jx*(ix-1)
			i = i + 1
			recs (:, i) = (/x, z/)
		end do
	end do
	
	if (4 * size (recs) /= srite ("out", recs, size (recs)*4)) then
		call seperr ("error writing receiver positions to output")
	endif

end program
