program createo
	use sep
	integer, allocatable :: srcs(:,:)
	integer :: i, ix, iz, nx, nz, fx, fz, jx, jz, x, z
	
	call sep_init(SOURCE)
	
	call from_param ("src_nx", nx, 1)
	call from_param ("src_fx", fx, 0)
	call from_param ("src_jx", jx, 1)
	call from_param ("src_nz", nz, 1)
	call from_param ("src_fz", fz, 0)
	call from_param ("src_jz", jz, 1)
	
	allocate (srcs (2, nz*nx))

	call to_history ("n1", 2)
	call to_history ("n2", nx*nz)
	
	write(0,*), "srcs:", nx, nz

	i = 0

	do iz = 1, nz

		z = fz + jz*(iz-1)
		do ix = 1, nx

			x = fx + jx*(ix-1)
			i = i + 1
			srcs (:, i) = (/x, z/)
		end do
	end do
	
	call srite ("out", srcs, size (srcs)*4)

end program
